<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.prime.com.tr/ui">
    <body>

        <ui:composition template="./WEB-INF/skiSchoolTemplate.xhtml">
            <ui:param name="pageTitle" value="#{msgs.site_timetable}" />
            <ui:define name="content">

                <p:growl id="growl" showDetail="true"/>

                <h:form id="calendar" rendered="#{securityBean.inRoleAdministrator}">
                    <h:panelGrid columns="4">
                        <p:commandLink value="yesterday" actionListener="#{timetableBean.goYesterday}" update="date, timetable" styleClass="ui-icon ui-icon-carat-1-w"/>
                        <h:outputText value="#{timetableBean.date}" id="date">
                            <f:convertDateTime pattern="dd. MM. yyyy"
                                               timeZone="GMT+1"/>
                        </h:outputText>
                        <p:commandLink value="tomorrow" actionListener="#{timetableBean.goTomorrow}" update="date, timetable" styleClass="ui-icon ui-icon-carat-1-e"/>
                        <p:commandLink value="#{msgs.timetable_today}" actionListener="#{timetableBean.goToday}" update="date, timetable"/>
                    </h:panelGrid>
                </h:form>

                <h:form id="timetable" rendered="#{securityBean.inRoleAdministrator}">
                    <p:dataTable value="#{timetableBean.availableInstructors}" var="instructor">
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_instructor}"/>
                            </f:facet>
                            <f:facet name="footer">
                                <h:outputText value="#{msgs.timetable_other}"/>
                            </f:facet>
                            <h:outputText value="#{instructor.firstName} #{instructor.lastName}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <span class="timeline">8 - 9</span>
                                <span class="timeline">9 - 10</span>
                                <span class="timeline">10 - 11</span>
                                <span class="timeline">11 - 12</span>
                                <span class="timeline">12 - 13</span>
                                <span class="timeline">13 - 14</span>
                                <span class="timeline">14 - 15</span>
                                <span class="timeline">15 - 16</span>
                                <span class="timeline">16 - 17</span>
                                <span class="timeline">17 - 18</span>
                                <span class="timeline">18 - 19</span>
                                <span class="timeline">19 - 20</span>
                                <span class="timeline">20 - 21</span>
                            </f:facet>
                            <f:facet name="footer">
                                <span class="timeline"><p:commandLink value="08" action="#{timetableBean.newFreeLesson(8)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                                <span class="timeline"><p:commandLink value="09" action="#{timetableBean.newFreeLesson(9)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                                <span class="timeline"><p:commandLink value="10" action="#{timetableBean.newFreeLesson(10)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                                <span class="timeline"><p:commandLink value="11" action="#{timetableBean.newFreeLesson(11)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                                <span class="timeline"><p:commandLink value="12" action="#{timetableBean.newFreeLesson(12)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                                <span class="timeline"><p:commandLink value="13" action="#{timetableBean.newFreeLesson(13)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                                <span class="timeline"><p:commandLink value="14" action="#{timetableBean.newFreeLesson(14)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                                <span class="timeline"><p:commandLink value="15" action="#{timetableBean.newFreeLesson(15)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                                <span class="timeline"><p:commandLink value="16" action="#{timetableBean.newFreeLesson(16)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                                <span class="timeline"><p:commandLink value="17" action="#{timetableBean.newFreeLesson(17)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                                <span class="timeline"><p:commandLink value="18" action="#{timetableBean.newFreeLesson(18)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                                <span class="timeline"><p:commandLink value="19" action="#{timetableBean.newFreeLesson(19)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                                <span class="timeline"><p:commandLink value="20" action="#{timetableBean.newFreeLesson(20)}" oncomplete="createLessonDialog.show()" update="createLesson" styleClass="ui-icon ui-icon-plusthick"/></span>
                            </f:facet>
                            <ui:repeat value="#{timetableBean.createTimeBars(instructor)}" var="bar">
                                <p:commandLink action="#{timetableBean.newLesson(bar.content)}"
                                               oncomplete="createLessonDialog.show()"
                                               update="createLesson"
                                               styleClass="timeBar"
                                               style="margin-left: #{bar.left}px; width: #{bar.width}px; background-color: #{bar.content.color()};"
                                               title="#{bar.content.title()}"
                                               rendered="#{bar.content.isAvailability()}">

                                    <h:outputText value="#{bar.content.startTime}"
                                                  rendered="#{timetableBean.displayedTime(bar.width)}">
                                        <f:convertDateTime pattern="HH"
                                                           timeZone="GMT+1"/>
                                    </h:outputText>
                                    <sup>
                                        <h:outputText value="#{bar.content.startTime}"
                                                      rendered="#{timetableBean.displayedTime(bar.width)}">
                                            <f:convertDateTime pattern="mm"
                                                               timeZone="GMT+1"/>
                                        </h:outputText>
                                    </sup>
                                    <h:outputText value=" - "
                                                  rendered="#{timetableBean.displayedTime(bar.width)}"/>
                                    <h:outputText value="#{bar.content.endTime}"
                                                  rendered="#{timetableBean.displayedTime(bar.width)}">
                                        <f:convertDateTime pattern="HH"
                                                           timeZone="GMT+1"/>
                                    </h:outputText>
                                    <sup>
                                        <h:outputText value="#{bar.content.endTime}"
                                                      rendered="#{timetableBean.displayedTime(bar.width)}">
                                            <f:convertDateTime pattern="mm"
                                                               timeZone="GMT+1"/>
                                        </h:outputText>
                                    </sup>
                                    <h:outputText value="..."
                                                  rendered="#{!timetableBean.displayedTime(bar.width)}"/>

                                </p:commandLink>
                                <p:commandLink action="#{timetableBean.setLesson(bar.content)}"
                                               oncomplete="updateLessonDialog.show()"
                                               update="updateLesson"
                                               styleClass="timeBar"
                                               style="margin-left: #{bar.left}px; width: #{bar.width}px; background-color: #{bar.content.color()};"
                                               title="#{bar.content.title()}"
                                               rendered="#{bar.content.isLesson()}">

                                    <h:outputText value="#{bar.content.startTime}"
                                                  rendered="#{timetableBean.displayedTime(bar.width)}">
                                        <f:convertDateTime pattern="HH"
                                                           timeZone="GMT+1"/>
                                    </h:outputText>
                                    <sup>
                                        <h:outputText value="#{bar.content.startTime}"
                                                      rendered="#{timetableBean.displayedTime(bar.width)}">
                                            <f:convertDateTime pattern="mm"
                                                               timeZone="GMT+1"/>
                                        </h:outputText>
                                    </sup>
                                    <h:outputText value=" - "
                                                  rendered="#{timetableBean.displayedTime(bar.width)}"/>
                                    <h:outputText value="#{bar.content.endTime}"
                                                  rendered="#{timetableBean.displayedTime(bar.width)}">
                                        <f:convertDateTime pattern="HH"
                                                           timeZone="GMT+1"/>
                                    </h:outputText>
                                    <sup>
                                        <h:outputText value="#{bar.content.endTime}"
                                                      rendered="#{timetableBean.displayedTime(bar.width)}">
                                            <f:convertDateTime pattern="mm"
                                                               timeZone="GMT+1"/>
                                        </h:outputText>
                                    </sup>
                                    <h:outputText value="..."
                                                  rendered="#{!timetableBean.displayedTime(bar.width)}"/>

                                </p:commandLink>
                            </ui:repeat>
                        </p:column>
                    </p:dataTable>
                    <p:panel style="margin-top: 10px;margin-right: 600px">
                        <h:panelGrid columns="2">
                            <h:outputText style="background-color: #FFA500;padding-left: 50px" value=":"/>
                            <h:outputText value="#{msgs.lesson_standardlessons}"/>
                            <h:outputText style="background-color: #FF4500;padding-left: 50px" value=":"/>
                            <h:outputText value="#{msgs.lesson_kindergartenlessons}"/>
                            <h:outputText style="background-color:lightgreen ;padding-left: 50px" value=":"/>
                            <h:outputText value="#{msgs.global_availability}"/>
                        </h:panelGrid>
                    </p:panel>
                    <p:panel style="margin-right: 400px">
                        <h:panelGrid columns="1">
                            <h:outputText value="Zmeny:"/>
                            <h:outputText value="- nie je nutné prvé meno keď sa vytvára nový žiak"/>
                            <h:outputText value="- zmena počítania hodín"/>
                            <h:outputText value="- automatické dopĺňanie, nezáleži na veľkosti písmen"/>
                            <h:outputText value="- inštruktori a žiaci zoradení podľa abecedy"/>
                            <h:outputText value="- nové filtrovanie v tabuľke hodín"/>
                            <h:outputText value="- pop up kalendáre po slovensky so začiatkom v pondelok"/>
                        </h:panelGrid>
                    </p:panel>
                </h:form>



                <p:dialog header="#{msgs.timetable_createlesson}"
                          widgetVar="createLessonDialog"
                          modal="true"
                          width="450"
                          onCloseUpdate="timetable"
                          onShow="PrimeFaces.ajax.AjaxRequest('/SkiSchool-war/timetable.xhtml',{formId:'createLesson'},{'javax.faces.partial.render':'createLesson'});">
                    <h:form id="createLesson">
                        <p:panel>
                            <h:panelGrid columns="3">
                                <h:outputText value="#{msgs.global_date}"/>
                                <h:outputText value="#{timetableBean.lesson.startTime}" id="date">
                                    <f:convertDateTime pattern="dd. MM. yyyy"
                                                       timeZone="GMT+1"/>
                                </h:outputText>
                                <p:message for="date"/>

                                <h:outputText value="#{msgs.global_starttime}*"/>
                                <p:spinner value="#{timetableBean.startHour}" min="#{timetableBean.availabilityStartHour}" max="#{timetableBean.availabilityEndHour}" stepFactor="1" size="5"/>
                                <p:spinner value="#{timetableBean.startMinute}" min="0" max="45" stepFactor="15" size="5"/>

                                <h:outputText value="#{msgs.global_endtime}*"/>
                                <p:spinner value="#{timetableBean.endHour}" min="#{timetableBean.availabilityStartHour}" max="#{timetableBean.availabilityEndHour}" stepFactor="1" size="5"/>
                                <p:spinner value="#{timetableBean.endMinute}" min="0" max="45" stepFactor="15" size="5"/>
                            </h:panelGrid>
                        </p:panel>

                        <p:panel>
                            <h:panelGrid columns="3">
                                <h:outputText value="#{msgs.global_instructor}*"/>
                                <p:autoComplete value="#{timetableBean.selectedInstructor}"
                                                completeMethod="#{timetableBean.completeInstructor}"
                                                var="instructor"
                                                itemLabel="#{instructor.firstName} #{instructor.lastName}"
                                                itemValue="#{instructor}"
                                                converter="instructor"
                                                rendered="#{timetableBean.freeLesson}"
                                                id="instructor"/>
                                <h:outputText value="#{timetableBean.selectedInstructor.firstName} #{timetableBean.selectedInstructor.lastName}"
                                              rendered="#{not timetableBean.freeLesson}"/>
                                <p:message for="instructor"/>

                                <h:outputText value="#{msgs.global_student}*"/>
                                <p:autoComplete value="#{timetableBean.selectedStudent}"
                                                completeMethod="#{timetableBean.completeStudent}"
                                                var="student"
                                                itemLabel="#{student.firstName} #{student.lastName}"
                                                itemValue="#{student}"
                                                converter="student"
                                                id="student"/>
                                <p:commandButton value="#{msgs.global_createstudent}" actionListener="#{timetableBean.createNewStudent}" update="createLesson, growl"/>

                                <h:outputText value="#{msgs.lesson_groupsize}*"/>
                                <p:spinner value="#{timetableBean.groupSize}" min="1" stepFactor="1" size="5" id="groupSize"/>
                                <p:message for="groupSize"/>
                            </h:panelGrid>
                        </p:panel>

                        <p:panel footer="* #{msgs.global_required}">
                            <h:panelGrid columns="3">
                                <h:outputText value="#{msgs.lesson_equipment}*"/>
                                <h:selectOneRadio value="#{timetableBean.lesson.snowboard}" id="snowboard">
                                    <f:selectItem itemValue="false" itemLabel="#{msgs.timetable_ski}"/>
                                    <f:selectItem itemValue="true" itemLabel="#{msgs.timetable_snb}"/>
                                </h:selectOneRadio>
                                <p:message for="snowboard"/>

                                <h:outputText value="#{msgs.global_note}"/>
                                <h:inputText value="#{timetableBean.lesson.note}" id="note"/>
                                <p:message for="note"/>
                            </h:panelGrid>
                        </p:panel>

                        <p:messages/>

                        <h:panelGrid columns="2">
                            <p:commandButton value="#{msgs.timetable_createlesson}" actionListener="#{timetableBean.createLesson}" update="createLesson, growl" id="submit"/>
                            <p:commandButton value="#{msgs.global_close}" onclick="createLessonDialog.hide()" update="timetable"/>
                        </h:panelGrid>
                    </h:form>
                </p:dialog>

                <p:dialog header="#{msgs.timetable_updatelesson}"
                          widgetVar="updateLessonDialog"
                          modal="true"
                          width="450"
                          onCloseUpdate="timetable">
                    <h:form id="updateLesson">
                        <p:panel>
                            <h:panelGrid columns="2">
                                <h:outputText value="#{msgs.global_date}:"/>
                                <h:outputText value="#{timetableBean.lesson.startTime}">
                                    <f:convertDateTime pattern="dd. MM. yyyy"
                                                       timeZone="GMT+1"/>
                                </h:outputText>

                                <h:outputText value="#{msgs.global_time}:"/>
                                <h:panelGroup>
                                    <h:outputText value="#{timetableBean.lesson.startTime}">
                                        <f:convertDateTime pattern="HH:mm"
                                                           timeZone="GMT+1"/>
                                    </h:outputText>
                                    <h:outputText value=" - "/>
                                    <h:outputText value="#{timetableBean.lesson.endTime}">
                                        <f:convertDateTime pattern="HH:mm"
                                                           timeZone="GMT+1"/>
                                    </h:outputText>
                                </h:panelGroup>

                                <h:outputText value="#{msgs.lesson_lessontype}:"/>
                                <h:outputText value="#{timetableBean.lesson.lessonType}"/>

                                <h:outputText value="#{msgs.global_instructors}:"/>
                                <h:dataTable value="#{timetableBean.lesson.instructors}" var="instructor">
                                    <h:column>
                                        <h:outputText value="#{instructor.firstName} #{instructor.lastName}"/>
                                    </h:column>
                                </h:dataTable>

                                <h:outputText value="#{msgs.global_students}:"/>
                                <h:dataTable value="#{timetableBean.lesson.students}" var="student">
                                    <h:column>
                                        <h:outputText value="#{student.firstName} #{student.lastName}"/>
                                    </h:column>
                                </h:dataTable>
                            </h:panelGrid>
                        </p:panel>

                        <p:panel>
                            <h:panelGrid columns="2">
                                <h:outputText value="#{msgs.lesson_lessonexecuted}:"/>
                                <h:selectBooleanCheckbox value="#{timetableBean.lesson.executed}"/>

                                <h:outputText value="#{msgs.lesson_lessonpaid}:"/>
                                <h:selectBooleanCheckbox value="#{timetableBean.lesson.paid}"/>
                            </h:panelGrid>
                        </p:panel>

                        <p:messages/>

                        <h:panelGrid columns="3">
                            <p:commandButton value="#{msgs.global_save}" actionListener="#{timetableBean.updateLesson}" update="updateLesson, growl" id="submit2"/>
                            <p:commandButton value="#{msgs.timetable_deletelesson}" actionListener="#{timetableBean.deleteLesson}" update="updateLesson, growl" id="submit3"/>
                            <p:commandButton value="#{msgs.global_close}" onclick="updateLessonDialog.hide()" update="timetable"/>
                        </h:panelGrid>
                    </h:form>
                </p:dialog>

            </ui:define>
        </ui:composition>

    </body>
</html>